Page MenuHomePhabricator

MW-1.30.0-wmf.3 deployment blockers
Closed, DeclinedPublic

Event Timeline

greg created this task.May 21 2017, 9:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2017, 9:41 AM

Will branch cut for 1.30.0-wmf.3 today in an optimistic attempt keep branching on schedule; however, I will not deploy it anywhere until T166345: wmf/1.30.0-wmf.2 performance issue for Wikipedias has been resolved and 1.30.0-wmf.2 is live on all wikis.

Mentioned in SAL (#wikimedia-operations) [2017-05-30T17:55:41Z] <thcipriani> branching 1.30.0-wmf.3 T165957

Had some trouble with the make-wmf-branch script. It seems that the AccountAudit extension repo was set to read-only in gerrit: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/AccountAudit

So when I ran make-wmf-branch, I got:

[thcipriani@tin AccountAudit (wmf/1.30.0-wmf.3)]$ git push origin wmf/1.30.0-wmf.3
Total 0 (delta 0), reused 0 (delta 0)
remote: Processing changes: refs: 1, done
To https://gerrit.wikimedia.org/r/mediawiki/extensions/AccountAudit
 ! [remote rejected] wmf/1.30.0-wmf.3 -> wmf/1.30.0-wmf.3 (prohibited by Gerrit)
error: failed to push some refs to 'https://gerrit.wikimedia.org/r/mediawiki/extensions/AccountAudit'

Unclear if setting it to readonly was a mistake, or if branching it was a mistake. If the latter was the mistake, it should be removed from core 1.30.0-wmf.3 as well as removed from https://github.com/wikimedia/mediawiki-tools-release/blob/master/make-wmf-branch/config.json#L4

greg added a comment.May 30 2017, 6:54 PM

Had some trouble with the make-wmf-branch script. It seems that the AccountAudit extension repo was set to read-only in gerrit: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/AccountAudit

T163791: Archive the AccountAudit extension was done recently.

Had some trouble with the make-wmf-branch script. It seems that the AccountAudit extension repo was set to read-only in gerrit

If changing make-wmf-script should be covered by the steps on mw:Gerrit/Inactive projects, please feel free to add a bullet point on that page.

Elitre added a subscriber: Elitre.May 31 2017, 12:14 PM
Johan added a subscriber: Johan.Jun 1 2017, 4:33 PM

Will branch cut for 1.30.0-wmf.3 today in an optimistic attempt keep branching on schedule

Is there any chance of this happening? If not, what does this mean for wmf.4?

greg closed this task as Declined.Jun 1 2017, 11:34 PM

Will branch cut for 1.30.0-wmf.3 today in an optimistic attempt keep branching on schedule

Is there any chance of this happening? If not, what does this mean for wmf.4?

Not going to happen. wmf.2 finally made it out everywhere today so not enough time to push out wmf.3 as well.

wmf.4 is 'on track' in that it will happen next week. wmf.3 (which was this week) is skipped. Declining this task as such :/

Sadly we'll be pushing out 2 weeks worth of code again next week....

Krinkle updated the task description. (Show Details)Jun 5 2017, 5:29 PM